Subject: Re: [Sipping] Re: items for vor voting in the BOF

From: "Paul E. Jones" <[email-masked]>
Date: Sun, 20 Jul 2003 12:51:59 -0400

Rohan,

I offered up a few questions to folks that I hoped people would have voted
on.  The questions I had was whether or not there should be a requirement to
provide *some* interface to legacy TTY devices.  Whether it's RJ-11 or 2.5mm
makes no difference.  However, I think it should be a requirement that
pass-through work at the very least.  If this was agreeable, I could
certainly work to craft specific text for such a requirement.

I do not have stats on how many phones do not have screens.  However, note
that requirement 1 also requires a keyboard, though that's never mentioned.
One could say that text could be entered via some web interface, but doing
so is a bit hard in a hotel room or at a gas station on the side of the
road.  Regardless, I've said before and I'll say it again: I do not expect
that most of the IP phones that will go into mass production will have a
suitable screen for text communication.  Most of today's IP phones have
screens, because it is a way to catch people's eyes.  However, there are
also many that do not.  Would you consider Cisco's ATA, for example, an IP
phone?  I think it qualifies and there is no screen.  There are a number of
service providers deploying that and similar devices from other
manufacturers.  None of those have displays.

I assert that in most enterprise environments, the display is of very little
value.  It's interesting at first, but it's not necessary to have a fancy
screen: just something simple to control hold, transfer, conferencing, etc.,
is enough.  In fact, I'd be happy with buttons that did that.

At home, I think it's even less of a requirement to have a nice-size
display.  Recognizing that many phones today have a display for caller ID,
etc., such displays are not suitable for text communication.  Requirement 1
is asking for a nice display... and I think you'll find a much smaller
percentage of those... especially as they become a commodity item.

Paul

----- Original Message ----- 
From: "Rohan Mahy" <[email-masked]>
To: "Paul E. Jones" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; "Henry Sinnreich"
<[email-masked]>; "Gunnar Hellstrom" <[email-masked]>;
"Mike Spanner" <[email-masked]>; <[email-masked]>;
<[email-masked]>; "'Rajesh Kumar'" <[email-masked]>;
<[email-masked]>; <[email-masked]>; "James Hamlin"
<[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; "Andrea Saks" <[email-masked]>
Sent: Saturday, July 19, 2003 11:14 PM
Subject: Re: [Sipping] Re: items for vor voting in the BOF

> Hi Paul,
>
> So it sounds like you wanted an additional requirement for pass-through
> via a 2.5 mm jack for phones that do not support RFC2793?  If I
> understood this correctly, how would you word the requirement?
>
> Also, do you have any data on how many phones currently exist (number
> or percentage) for which requirement 1 would not apply? I suspect that
> the number of phones not covered by the first requirement is actually
> quite small.
>
> thanks,
> -rohan
>
> On Friday, July 18, 2003, at 05:04 PM, Paul E. Jones wrote:
>
> > Guido,
> >
> > I wish I could have attended, but I was attending a TDI conference
> > here in
> > the US.  I couldn't be in both places at the same time, though I wish I
> > could.  I was disheartened that the questions were not presented as I
> > proposed.  You should know that, supposedly, work gets done over the
> > e-mail
> > reflector, not only in the meeting, so not being there should not have
> > lessened my input on the matter.
> >
> > Looking at the results of the ad-hoc reported by Rohan, I see:
> >   1) *If* an IP phone supports a display (and keyboard??), it
> >      must support RFC 2793
> >   2) IP phones *should* provide a way to input text
> >   3) IP phones *may* provide an RJ-11 interface and *must*
> >      support pass-through.
> >
> > Now, my concerns are several.  It appears that you have absolutely no
> > requirement for the mass of products that do not sport a display to
> > support
> > text in either relay or pass-through mode.  Further, there is no
> > mention of
> > a 2.5mm jack being an option.  Question 3, as I mentioned, "pressured"
> > folks
> > more than it should.  There should have been no reason to require
> > support of
> > pass-through, at the very least.
> >
> > I told you that my questions were to ensure that we at least get
> > support for
> > text on every phone in one way or another.  It looks like you lost.
> > Company
> > X is now free to build an IP phone without any text support.  I'm not
> > really
> > happy about that and I certainly don't see why you should be.
> >
> > Paul
> >
> > ----- Original Message -----
> > From: "Guido Gybels" <[email-masked]>
> > To: "Paul E. Jones" <[email-masked]>; <[email-masked]>
> > Cc: "Henry Sinnreich" <[email-masked]>; "Gunnar Hellstrom"
> > <[email-masked]>; "Guido Gybels"
> > <[email-masked]>;
> > "Mike Spanner" <[email-masked]>;
> > <[email-masked]>;
> > <[email-masked]>; <[email-masked]>; "'Rajesh Kumar'"
> > <[email-masked]>; <[email-masked]>;
> > <[email-masked]>;
> > "James Hamlin" <[email-masked]>;
> > <[email-masked]>;
> > <[email-masked]>; <[email-masked]>;
> > <[email-masked]>;
> > <[email-masked]>; <[email-masked]>; <[email-masked]>
> > Sent: Friday, July 18, 2003 2:31 AM
> > Subject: [Sipping] Re: items for vor voting in the BOF
> >
> >
> >> Paul,
> >>
> >> <<While I guess it might be a bit late now>>
> >>
> >> The discussion on the sipdev document took place yesterday, and if you
> > wanted to make a point you were free to attend it. You'll see the
> > results
> > reflected in the next version of the document, and I can say that both
> > Arnoud and myself believe this result to be extremely sensible as well
> > as in
> > the best interest of all stakeholders.
> >> I also suggest this no longer belongs here on the mailing list until
> >> a new
> > issue would arise. I have stopped replying to your emails a while ago
> > as I
> > see no point in continuing the discussion (and swamping the list) with
> > someone who, despite being a native English speaker, seems unable to
> > understand what we are saying and more importantly deliberately
> > misrepresents my statements or attributes words to my mouth that I did
> > not
> > speak.
> >>
> >> <<would guess most people will say "yes" to, while I know you'd say
> >> "no"
> > to
> >> it.>>
> >>
> >> This being a nice example of that.
> >>
> >>
> >> I believe the IETF community has shown great wisdom and a true
> > understanding of what is at stake here. We have now got a solid path
> > to the
> > future, with a clear strategy to get rid of obsolete and unsatisfactory
> > solutions allowing a gradual move of deaf, hard of hearing and speech
> > impaired people into mainstream technology. That will of course take
> > time
> > during which there will have to be legacy support and all the
> > instruments
> > are put in place to do exactly that.
> >>
> >> Guido
> >>
> >> Guido Gybels
> >> Director of New Technologies
> >>
> >> RNID, 19-23 Featherstone Street
> >> London EC1Y 8SL, UK
> >> Tel +44(0)20-7294 3713
> >> Fax +44(0)20-7296 8069
> >>
> >> _______________________________________________
> >> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> >> This list is for NEW development of the application of SIP
> >> Use [email-masked] for questions on current sip
> >> Use [email-masked] for new developments of core SIP
> >>
> >
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Rohan Mahy <[email-masked]>
Date: Sun, 20 Jul 2003 05:14:19 +0200

Hi Paul,

thanks,
-rohan